Netgate SG-1000 microFirewall

Author Topic: 2.3.1-DEVELOPMENT not updating from 2.3.1.a.20160428.0320  (Read 1531 times)

0 Members and 1 Guest are viewing this topic.

Offline Yowsers

  • Jr. Member
  • **
  • Posts: 28
  • Karma: +6/-0
    • View Profile
2.3.1-DEVELOPMENT not updating from 2.3.1.a.20160428.0320
« on: May 05, 2016, 11:05:52 pm »
My version is listed below.  I used pfSense-CE-memstick-2.3.1-DEVELOPMENT-amd64-latest.img.gz back from 4/29 to install the full version to my SSD.  My update settings are currently set to "follow 2.3 snapshots" and I have the "disable automatic dashboard" checked.  Whenever I go to pkg_mgr_install.php?id=firmware and click update it appears to verify if there are any updates, doesn't find anything, router reboots, but I still see the built on 4/28 and no packages update.  If I look at snapshots.pfsense.org I see there are newer versions available so not sure why the update is not finding them?  I have not tried to change from "follow 2.3 snapshots" to "keep following 2.3 development snapshots" to see if I get a different result.  Figured if there was something I need to assist with I can do so.  Any advice?  Thanks!

2.3.1-DEVELOPMENT (amd64)
built on Thu Apr 28 03:20:14 CDT 2016
FreeBSD 10.3-RELEASE

Current Base System 2.3.1.a.20160428.0320
Latest Base System 2.3

=========

I was able to do ONE update without issue.  The update without issue is below.  The second update log is the one that I have now tried several times (twice to be exact) and nothing seems to happen.

4/29/16 6:24pm:

>>> Updating repositories metadata...
Updating pfSense-core repository catalogue...
pfSense-core repository is up-to-date.
Updating pfSense repository catalogue...
pfSense repository is up-to-date.
All repositories are up-to-date.
>>> Unlocking package pfSense-kernel-pfSense... done.
>>> Downloading upgrade packages...
Updating pfSense-core repository catalogue...
pfSense-core repository is up-to-date.
Updating pfSense repository catalogue...
pfSense repository is up-to-date.
All repositories are up-to-date.
Checking for upgrades (29 candidates): .......... done
Processing candidates (29 candidates): . done
The following 5 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
   luajit: 2.0.4 [pfSense]

Installed packages to be DOWNGRADED:
   glib: 2.46.2 -> 2.44.1_3 [pfSense]
   gettext-runtime: 0.19.7 -> 0.19.6 [pfSense]

Installed packages to be REINSTALLED:
   rrdtool-1.5.5_1 [pfSense] (options changed)
   nginx-1.8.1,2 [pfSense] (options changed)

The process will require 2 MiB more space.
4 MiB to be downloaded.
Fetching rrdtool-1.5.5_1.txz: .......... done
Fetching nginx-1.8.1,2.txz: .......... done
Fetching glib-2.44.1_3.txz: .......... done
Fetching gettext-runtime-0.19.6.txz: .......... done
Fetching luajit-2.0.4.txz: .......... done
Checking integrity... done (0 conflicting)
Upgrade is complete.  Rebooting in 10 seconds.
>>> Locking package pfSense-kernel-pfSense... done.
Success

=============

5/5/2016 10:22pm

Current Base System 2.3.1.a.20160428.0320
Latest Base System 2.3

>>> Updating repositories metadata...
Updating pfSense-core repository catalogue...
pfSense-core repository is up-to-date.
Updating pfSense repository catalogue...
pfSense repository is up-to-date.
All repositories are up-to-date.
>>> Unlocking package pfSense-kernel-pfSense... done.
>>> Downloading upgrade packages...
Updating pfSense-core repository catalogue...
pfSense-core repository is up-to-date.
Updating pfSense repository catalogue...
pfSense repository is up-to-date.
All repositories are up-to-date.
Checking for upgrades (24 candidates): .......... done
Processing candidates (24 candidates): . done
Checking integrity... done (0 conflicting)
Your packages are up to date.
Upgrade is complete.  Rebooting in 10 seconds.
>>> Locking package pfSense-kernel-pfSense... done.
Success

Still says the below after update on 5/5/2016 @ 10:25pm

Current Base System 2.3.1.a.20160428.0320
Latest Base System 2.3

Offline Yowsers

  • Jr. Member
  • **
  • Posts: 28
  • Karma: +6/-0
    • View Profile
Re: 2.3.1-DEVELOPMENT not updating from 2.3.1.a.20160428.0320
« Reply #1 on: May 12, 2016, 06:29:36 am »
Just an update.  Went ahead and changed Update Settings from "follow 2.3 snapshots and move to automatically to -RELEASE (Default)" to "keep following 2.3 development snapshots."  Went back to System Update and the below showed:

Current Base System 2.3.1.a.20160428.0320
Latest Base System 2.3.1.a.20160512.0018

Proceeded to do a system update and am now at the latest snapshot 2.3.1.a.20160512.0018.

System dashboard now shows current snapshot version as well.

Version   2.3.1-DEVELOPMENT (amd64)
built on Thu May 12 00:18:20 CDT 2016
FreeBSD 10.3-RELEASE-p2

In addition, with the fix on the Update Settings page (https://redmine.pfsense.org/issues/6136), the options now appropriately say "Stable (Default)" and "Development Snapshots (Experimental)" for me.

All looks good!